## libevent 2.0.10-stable

=== debian/changelog ===
libevent (2.0.10-stable-1ubuntu0.10.04.2) lucid; urgency=low

  * Remove the -dev package

 -- Andreas Noteng <andreas@noteng.no>  Thu, 10 Feb 2011 22:54:53 +0100

libevent (2.0.10-stable-1ubuntu0.10.04.1) lucid; urgency=low

  * Backport to lucid

 -- Andreas Noteng <andreas@noteng.no>  Wed, 09 Feb 2011 22:27:04 +0100

libevent (2.0.10-stable-1ubuntu0~ppa1) natty; urgency=low

  * Copy from debian

 -- Andreas Noteng <andreas@noteng.no>  Mon, 31 Jan 2011 08:26:51 +0100

libevent (2.0.10-stable-1) experimental; urgency=low

  * New upstream release
    Closes: 581221, 607984
  * Install libevent*.pc into /usr/lib/pkgconfig
    Closes: 569274
  * The man pages event.3 and evdns.3 are not shipped anymore.
  * Fix out-of-date-standards-version
  * Source format is 3.0 (quilt)
  * Pass parameters -Zbzip2 and -z9 to dpkg-deb via dh_builddeb

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 16 Jan 2011 18:19:25 +1100

libevent (2.0.3-alpha-1) experimental; urgency=low

  * New upstream release

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 21 Nov 2009 23:35:53 +1100
