=== debian/control ===
Source: libevent
Section: libs
Priority: optional
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, libtool, libssl-dev
Standards-Version: 3.9.1
Homepage: http://www.monkey.org/~provos/libevent/

Package: libevent-2.0-5
Section: libs
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: An asynchronous event notification library
 The libevent API provides a mechanism to execute a callback function
 when a specific event occurs on a file descriptor or after a timeout
 has been reached.
 .
 libevent is meant to replace the asynchronous event loop found in
 event driven network servers. Currently, libevent supports /dev/poll,
 kqueue(2), event ports, select(2), poll(2) and epoll(4).
 .
 For backward compatibility and to transition to libevent_core only or
 libevent_core and libevent_extra, the libevent source package builds
 the libevent library that includes everything in libevent_core and
 libevent_extra.

Package: libevent-core-2.0-5
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: An asynchronous event notification library (core)
 The libevent API provides a mechanism to execute a callback function
 when a specific event occurs on a file descriptor or after a timeout
 has been reached.
 .
 libevent is meant to replace the asynchronous event loop found in
 event driven network servers. Currently, libevent supports /dev/poll,
 kqueue(2), event ports, select(2), poll(2) and epoll(4).
 .
 The libevent_core library includes event loops, timers, buffer code,
 and various small compatibility functions.
 .
 If you're writing software that only uses libevent's event loop, you
 should link against only the libevent_core library.

Package: libevent-extra-2.0-5
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libevent-core-2.0-5 (= ${binary:Version})
Description: An asynchronous event notification library (extra)
 The libevent API provides a mechanism to execute a callback function
 when a specific event occurs on a file descriptor or after a timeout
 has been reached.
 .
 libevent is meant to replace the asynchronous event loop found in
 event driven network servers. Currently, libevent supports /dev/poll,
 kqueue(2), event ports, select(2), poll(2) and epoll(4).
 .
 The libevent_extra library includes code for HTTP, DNS, RPC, and so
 on.
 .
 If you're writing software that uses libevent's protocol support, you
 need to link libevent_core and libevent_extra as well.

Package: libevent-pthreads-2.0-5
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libevent-core-2.0-5 (= ${binary:Version})
Description: An asynchronous event notification library (pthreads)
 The libevent API provides a mechanism to execute a callback function
 when a specific event occurs on a file descriptor or after a timeout
 has been reached.
 .
 libevent is meant to replace the asynchronous event loop found in
 event driven network servers. Currently, libevent supports /dev/poll,
 kqueue(2), event ports, select(2), poll(2) and epoll(4).
 .
 If you want threading support and you're using pthreads, you'll need
 to link against the libevent_pthreads library in addition to
 libevent_core.

Package: libevent-openssl-2.0-5
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libevent-core-2.0-5 (= ${binary:Version})
Description: An asynchronous event notification library (openssl)
 The libevent API provides a mechanism to execute a callback function
 when a specific event occurs on a file descriptor or after a timeout
 has been reached.
 .
 libevent is meant to replace the asynchronous event loop found in
 event driven network servers. Currently, libevent supports /dev/poll,
 kqueue(2), event ports, select(2), poll(2) and epoll(4).
 .
 There is now a bufferevent type that supports SSL/TLS using the
 OpenSSL library.  The code for this is build in a separate
 library, libevent_openssl, so that your programs don't need to
 link against OpenSSL unless they actually want SSL support.
