## libevent 2.0.10-stable-1

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,22 @@
 Build-Depends: debhelper (>= 7), autotools-dev, libtool, libssl-dev
 Standards-Version: 3.9.1
 Homepage: http://www.monkey.org/~provos/libevent/
+
+Package: libevent-dev
+Section: libdevel
+Architecture: any
+Depends: ${misc:Depends}, libevent-2.0-5 (= ${binary:Version}),
+ libevent-core-2.0-5 (= ${binary:Version}),
+ libevent-extra-2.0-5 (= ${binary:Version}),
+ libevent-pthreads-2.0-5 (= ${binary:Version}),
+ libevent-openssl-2.0-5 (= ${binary:Version})
+Description: Development libraries, header files and docs for libevent
+ Contains the header files, documentation, examples and static libraries 
+ for use in developing applications that use the libevent library.
+ .
+ The libevent library is an asynchronous event notification library
+ that provides a mechanish to execute a callback function when a specific
+ event occurs on a file descriptor or after a timeout has been reached.
 
 Package: libevent-2.0-5
 Section: libs
