=== debian/watch ===
version=3
#opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/[-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*)$//i,pasv \
#http://www.monkey.org/~provos/libevent/ (?:.*/)?libevent-?_?([\d+\.]+|\d+)\.(tar.*|tgz|zip|gz|bz2|) debian uupdate
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/[-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*)$//i,pasv \
http://www.monkey.org/~provos/libevent/ (?:.*/)?libevent-?_?(.+)\.(tar.*|tgz|zip|gz|bz2|) debian uupdate
