=== debian/watch ===
version=3
http://monkey.org/~provos/libevent/ ../libevent-(.*?).tar.gz debian uupdate
