=== debian/watch ===
version=3
http://libevent.org .*/libevent-(.*?).tar.gz debian uupdate
