## libevent 2.0.19-stable

=== debian/changelog ===
libevent (2.0.19-stable-3+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2014-6272.patch patch.
    CVE-2014-6272: A flaw in the Libevent evbuffer API leaves programs using
    this API open to possible heap overflows.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 23 Dec 2014 10:30:49 +0100

libevent (2.0.19-stable-3) unstable; urgency=low

  * [ceb52d98] DH compatibility level is 9
  * [7792ab18] Support multiarch (Closes: #675320)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 03 Jun 2012 08:10:07 +1000

libevent (2.0.19-stable-2) unstable; urgency=low

  * [cbdbe5b8] add hardening build-flags (Closes: 673707)
  * [b5f4e321] change default compression to xz

 -- Leo Costela <costela@debian.org>  Mon, 21 May 2012 00:16:59 +0200

libevent (2.0.19-stable-1) unstable; urgency=low

  * [21c5f34e] Imported Upstream version 2.0.19-stable
  * [aad0456e] debian/watch: only check stable versions
  * [09bb9c1d] debian/control: bump policy to 3.9.3 (no changes)

 -- Leo Costela <costela@debian.org>  Mon, 07 May 2012 15:54:12 +0200

libevent (2.0.18-stable-1) unstable; urgency=low

  * [d094fba3] Imported Upstream version 2.0.18-stable
  * [6717e7ac] correct vcs-browse link

 -- Leo Costela <costela@debian.org>  Fri, 30 Mar 2012 16:24:30 +0200
