=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Leo Costela <costela@debian.org>
-Build-Depends: debhelper (>= 8), autotools-dev, libssl-dev
-Standards-Version: 3.9.2
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), autotools-dev, libssl-dev
+Standards-Version: 3.9.3
 Homepage: http://libevent.org/
-Vcs-Browser: http://anonscm.debian.org/git/collab-maint/libevent.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libevent.git
 Vcs-Git: git://git.debian.org/git/collab-maint/libevent.git
 
 Package: libevent-dev
@@ -28,6 +28,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libevent-2.0-5 (= ${binary:Version}),
  libevent-core-2.0-5 (= ${binary:Version}),
  libevent-extra-2.0-5 (= ${binary:Version}),
@@ -43,6 +44,8 @@
 Package: libevent-2.0-5
 Priority: standard
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Asynchronous event notification library
  Libevent is an asynchronous event notification library that provides a
@@ -60,6 +63,8 @@
 
 Package: libevent-core-2.0-5
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Asynchronous event notification library (core)
  Libevent is an asynchronous event notification library that provides a
@@ -78,6 +83,8 @@
 
 Package: libevent-extra-2.0-5
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libevent-core-2.0-5 (= ${binary:Version})
 Description: Asynchronous event notification library (extra)
@@ -97,6 +104,8 @@
 
 Package: libevent-pthreads-2.0-5
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libevent-core-2.0-5 (= ${binary:Version})
 Description: Asynchronous event notification library (pthreads)
@@ -114,6 +123,8 @@
 
 Package: libevent-openssl-2.0-5
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libevent-core-2.0-5 (= ${binary:Version})
 Description: Asynchronous event notification library (openssl)
