=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed,--no-undefined,--no-add-needed

%:
	dh $@ --with autotools-dev

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-libevent-regress \
		$(shell dpkg-buildflags --export=configure)

override_dh_strip:
	dh_strip --dbg-package=libevent-dbg

override_dh_builddeb:
	dh_builddeb -- -Zbzip2 -z9
