## libevent 2.0.21-stable

=== debian/changelog ===
libevent (2.0.21-stable-2ubuntu0.16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: buffer overread in name_parse()
    - debian/patches/CVE-2016-10195.patch: fix length check in evdns.c.
    - CVE-2016-10195
  * SECURITY UPDATE: integer overflow in evutil_parse_sockaddr_port()
    - debian/patches/CVE-2016-10196.patch: use size_t for length in
      evutil.c.
    - CVE-2016-10196
  * SECURITY UPDATE: OOB read via empty hostname
    - debian/patches/CVE-2016-10197-1.patch: check result in evdns.c.
    - debian/patches/CVE-2016-10197-2.patch: add test to
      test/regress_dns.c.
    - CVE-2016-10197

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 10 Mar 2017 14:12:18 -0500

libevent (2.0.21-stable-2) unstable; urgency=high

  * Fix CVE-2014-6272: potential heap overflow in buffer/bufferevent APIs.
    Add upstream patch: 20d6d445.patch.
    Closes: #774645.
  * Don't use deprecated compression for data tarball.
    Use default compression for data tarball.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 07 Jan 2015 11:33:15 +0000

libevent (2.0.21-stable-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update config.* to fix FTBFS on ppc64el. Closes: #750693

 -- Andreas Barth <aba@ayous.org>  Mon, 25 Aug 2014 16:03:50 +0000

libevent (2.0.21-stable-1) unstable; urgency=low

  * [dd23c3ce] Imported Upstream version 2.0.21-stable
    - fix memleaks in evdns (closes: 679217)
  * [bbc5530e] debian/control: use canonical VCS URL

 -- Leo Costela <costela@debian.org>  Sun, 19 May 2013 00:40:30 +0200
