=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: libevent
 Section: libs
 Priority: optional
-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Leo Costela <costela@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), autotools-dev, libssl-dev
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), libssl-dev, dh-autoreconf
 Standards-Version: 3.9.3
 Homepage: http://libevent.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libevent.git
-Vcs-Git: git://git.debian.org/git/collab-maint/libevent.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/libevent.git
 
 Package: libevent-dev
 Section: libdevel
