=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed,--no-undefined,--no-add-needed
 
 %:
-	dh $@ --with autotools-dev
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -14,6 +14,3 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=libevent-dbg
-
-override_dh_builddeb:
-	dh_builddeb -- -Zbzip2 -z9
