## libevent 2.0.21-stable-2maemo1

=== debian/changelog ===
libevent (2.0.21-stable-2maemo1) unstable; urgency=high

  * Fix CVE-2014-6272: potential heap overflow in buffer/bufferevent APIs.
  * Add upstream patch: 20d6d445.patch.

 -- Christian Weniger <less_to_space@web.de>  Wed, 07 Jan 2015 11:33:15 +0000
